Bug 1212835 - Review Request: castxml - C-family abstract syntax tree XML output tool
Summary: Review Request: castxml - C-family abstract syntax tree XML output tool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jon Kerr Nilsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1210948
TreeView+ depends on / blocked
 
Reported: 2015-04-17 12:53 UTC by Mattias Ellert
Modified: 2015-10-03 17:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-03 17:41:48 UTC
j.k.nilsen: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mattias Ellert 2015-04-17 12:53:52 UTC
Spec URL: http://www.grid.tsl.uu.se/review/castxml.spec
SRPM URL: http://www.grid.tsl.uu.se/review/castxml-0.1-0.1.20150414git43fa139.fc23.src.rpm

Description:
Parse C-family source files and optionally write a subset of the
Abstract Syntax Tree (AST) to a representation in XML.

Source files are parsed as complete translation units using the clang
compiler. XML output is enabled by the --castxml-gccxml option and
produces a format close to that of gccxml. Future versions of castxml
may support alternative output formats.

Fedora Account System Username: ellert

Comment 1 František Dvořák 2015-08-02 16:01:47 UTC
It looks like there is bundled another project - KWSys, but it is not possible to easily unbundle. From the src/kwsys/CMakeLists.txt:
- KWSys is from the same authors and they use it (and encourage it to use it) as copylib
- API is generated with custom namespace (in castxml the namespace is 'cxsys', and it is used all over the place)

There should be probably asked FPC to grant the exception? (https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries#Exceptions)

Comment 2 Mattias Ellert 2015-08-05 10:43:02 UTC
Thank you for your feedback - FPC ticket:

https://fedorahosted.org/fpc/ticket/555

Comment 3 Mattias Ellert 2015-08-08 06:06:06 UTC
Spec URL: http://www.grid.tsl.uu.se/review/castxml.spec
SRPM: http://www.grid.tsl.uu.se/review/castxml-0.1-0.2.20150807git8a08a44.fc22.src.rpm

Updated version with unbundled kwsys library.

Comment 4 Ben Boeckel 2015-08-20 21:01:22 UTC
FYI, Brad has slimmed down castxml's use of kwsys here:

https://github.com/CastXML/CastXML/commits/master

This leaves castxml using only kwsys' process execution code.

Comment 5 Mattias Ellert 2015-08-21 07:27:13 UTC
Spec URL: http://www.grid.tsl.uu.se/review/castxml.spec
SRPM: http://www.grid.tsl.uu.se/review/castxml-0.1-0.3.20150820git2e55b35.fc22.src.rpm

New version with updated upstream sources containing only the parts of the kwsys sources that are used by castxml. Added bundled provides for the remaining kwsys components that are used accoriding to the revised FPC decision. See:

https://fedorahosted.org/fpc/ticket/555

Comment 6 Jon Kerr Nilsen 2015-09-21 13:15:56 UTC
I'll gave a go at reviewing this one.

Comment 8 Jon Kerr Nilsen 2015-09-22 10:33:56 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Header files in -devel subpackage, if present.
Not a problem, the header files are needed for basic usage
- Large data in /usr/share should live in a noarch subpackage if package
  is arched.
Most of the data comes from the bundled clang header files. Since these
are in arched package for clang it should be fine to do the same here.

No failed items, package APPROVED.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 3409920 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: castxml-0.1-0.4.20150902git7acd634.fc24.x86_64.rpm
          castxml-0.1-0.4.20150902git7acd634.fc24.src.rpm
castxml.x86_64: W: obsolete-not-provided gccxml
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/fma4intrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/xmmintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/unwind.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/avx512fintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/stdarg.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/__wmmintrin_pclmul.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/sanitizer/lsan_interface.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/iso646.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/adxintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/ammintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/Intrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/tgmath.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/f16cintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/wmmintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/stdbool.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/vadefs.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/avx512erintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/limits.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/tmmintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/avx512vlbwintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/sanitizer/msan_interface.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/avx512vlintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/stdint.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/lzcntintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/emmintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/__wmmintrin_aes.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/sanitizer/common_interface_defs.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/tbmintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/sanitizer/asan_interface.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/x86intrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/float.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/fmaintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/detect_vs.cpp
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/smmintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/avxintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/sanitizer/tsan_interface_atomic.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/stdnoreturn.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/prfchwintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/avx512bwintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/avx2intrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/stddef.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/mm3dnow.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/sanitizer/linux_syscall_hooks.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/bmiintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/varargs.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/immintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/sanitizer/allocator_interface.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/mmintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/cpuid.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/__stddef_max_align_t.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/sanitizer/dfsan_interface.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/popcntintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/ia32intrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/xopintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/stdalign.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/shaintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/stdatomic.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/arm_acle.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/mm_malloc.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/altivec.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/empty.cpp
castxml.x86_64: E: zero-length /usr/share/castxml/empty.cpp
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/nmmintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/arm_neon.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/pmmintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/bmi2intrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/rdseedintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/rtmintrin.h
castxml.src: W: spelling-error %description -l en_US gccxml
castxml.src:32: W: unversioned-explicit-provides bundled(kwsys-encoding)
castxml.src:33: W: unversioned-explicit-provides bundled(kwsys-process)
castxml.src:34: W: unversioned-explicit-provides bundled(kwsys-system)
2 packages and 0 specfiles checked; 1 errors, 72 warnings.




Rpmlint (debuginfo)
-------------------
Checking: castxml-debuginfo-0.1-0.4.20150902git7acd634.fc24.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
castxml.x86_64: W: obsolete-not-provided gccxml
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/sanitizer/common_interface_defs.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/stdarg.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/sanitizer/dfsan_interface.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/sanitizer/msan_interface.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/stdbool.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/mm3dnow.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/vadefs.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/pmmintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/sanitizer/asan_interface.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/sanitizer/allocator_interface.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/detect_vs.cpp
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/shaintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/nmmintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/altivec.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/avx512erintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/__wmmintrin_aes.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/bmi2intrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/Intrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/avx512vlintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/lzcntintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/avx512bwintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/stddef.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/avx512vlbwintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/float.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/cpuid.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/avx2intrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/sanitizer/lsan_interface.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/smmintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/fmaintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/mm_malloc.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/arm_acle.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/sanitizer/linux_syscall_hooks.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/wmmintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/xmmintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/rdseedintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/rtmintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/empty.cpp
castxml.x86_64: E: zero-length /usr/share/castxml/empty.cpp
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/unwind.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/arm_neon.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/avx512fintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/bmiintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/ia32intrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/varargs.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/fma4intrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/__wmmintrin_pclmul.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/iso646.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/tbmintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/xopintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/stdnoreturn.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/emmintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/prfchwintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/ammintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/x86intrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/tmmintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/stdint.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/f16cintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/popcntintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/mmintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/stdalign.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/immintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/limits.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/tgmath.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/sanitizer/tsan_interface_atomic.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/avxintrin.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/__stddef_max_align_t.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/stdatomic.h
castxml.x86_64: W: devel-file-in-non-devel-package /usr/share/castxml/clang/include/adxintrin.h
2 packages and 0 specfiles checked; 1 errors, 68 warnings.



Requires
--------
castxml (rpmlib, GLIBC filtered):
    libLLVM-3.6.so()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.4)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    rtld(GNU_HASH)



Provides
--------
castxml:
    bundled(kwsys-encoding)
    bundled(kwsys-process)
    bundled(kwsys-system)
    castxml
    castxml(x86-64)



Source checksums
----------------
https://github.com/CastXML/CastXML/archive/7acd634c8ab5349a4946bbfe66e24e4ce30f90b9/castxml-0.1-7acd634.tar.gz :
  CHECKSUM(SHA256) this package     : d1400ad079b2c8642755c4bfd73f599e4aec9cca13fd1892a88eab9d3a701d1b
  CHECKSUM(SHA256) upstream package : d1400ad079b2c8642755c4bfd73f599e4aec9cca13fd1892a88eab9d3a701d1b


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1212835
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 9 Mattias Ellert 2015-09-22 11:03:32 UTC
Many thanks for the review.

New Package SCM Request
=======================
Package Name: castxml
Short Description: C-family abstract syntax tree XML output tool
Owners: ellert
Branches: f23
InitialCC:

Comment 10 Gwyn Ciesla 2015-09-22 17:57:30 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2015-09-25 11:20:22 UTC
castxml-0.1-0.6.20150924git552dd69.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6eddeb8faf

Comment 12 Fedora Update System 2015-09-27 00:55:36 UTC
castxml-0.1-0.6.20150924git552dd69.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update castxml'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6eddeb8faf

Comment 13 Fedora Update System 2015-10-03 17:41:22 UTC
castxml-0.1-0.6.20150924git552dd69.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.